Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Get available (or filtered) runtime file information.

Request

Potentially obviated (deprecated) by M:Hamilton.WebAPI.Host.Controllers.V3.FilesController.GetRunHistoryData(System.String,Hamilton.WebAPI.Common.Ordering,System.Int32,System.Int32,System.Nullable{System.DateTime},System.Nullable{System.DateTime},System.String).

Security
Bearer
Query
filterboolean

Boolean flag to filter date range, if true; otherwise all available runtime file information is returned.

fromDatestring(date-time)

Start date/time if filter = true.

toDatestring(date-time)

End date/time if filter = true.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/runtime-data?filter=true&fromDate=2019-08-24T14%3A15%3A22Z&toDate=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.RuntimeFileList object.

Body
filesArray of objects(ICollection<RuntimeInfo>)read-only
Response
{ "files": [ {} ] }

Get detailed runtime information for a single method execution.

Request

Potentially obviated (deprecated) by M:Hamilton.WebAPI.Host.Controllers.V3.FilesController.GetRunHistoryData(System.String,Hamilton.WebAPI.Common.Ordering,System.Int32,System.Int32,System.Nullable{System.DateTime},System.Nullable{System.DateTime},System.String).

Security
Bearer
Path
runtimeGuidstringrequired

unique runtime identifier

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/detailed-run-data/{runtimeGuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.DetailedRuntimeInfo object.

Bodyapplication/json; x-api-version=3.0
methodNamestring
dbFileNamestring
runGuidstring
startTimestring(date-time)
endTimestring(date-time)
computerNamestring
runStatestring
durationnumber(double)read-only
userNamestring
instrumentsArray of objects(IList<InstrumentInfo>)
Response
application/json; x-api-version=3.0
{ "methodName": "string", "dbFileName": "string", "runGuid": "string", "startTime": "2025-07-17T21:40:15.402Z", "endTime": "2025-07-17T21:40:15.402Z", "computerName": "string", "runState": "string", "duration": 0, "userName": "string", "instruments": [ {} ] }

Get subset of runtime data log history according to query/filter parameters.

Request

Security
Bearer
Query
sortPropertystring

The RuntimeInfo property name to sort the run history records by (simple properties only, cannot sort by instrument list). Hamilton.WebAPI.Common.RuntimeInfo

Default "StartTime"
sortOrderinteger(int32)(Ordering)

Chronological ordering of run history records returned. Hamilton.WebAPI.Common.Ordering

Enum012
startOffsetinteger(int32)

Starting record number (one-based indexing). Default is one.

Default 1
recordLimitinteger(int32)

Limit of records to download. Default is fifty. For pagination support.

Default 50
startDateRangestring(date-time)(Nullable<DateTime>)

Datestamp for start of range of records to be returned.

endDateRangestring(date-time)(Nullable<DateTime>)

Datestamp for end of range of records to be returned.

runStatestring

If supplied the records returned will all match this run state.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/run-history-data?sortProperty=StartTime&sortOrder=0&startOffset=1&recordLimit=50&startDateRange=2019-08-24T14%3A15%3A22Z&endDateRange=2019-08-24T14%3A15%3A22Z&runState=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.DownloadRunHistory

Body
sortPropertystring
sortOrderinteger(int32)(Ordering)

Possible values:

  • 0 - None
  • 1 - Descending
  • 2 - Ascending
Enum012
downloadLimitinteger(int32)
downloadFirstDateStampstring(date-time)
downloadLastDateStampstring(date-time)
downloadOffsetinteger(int32)
spanCountinteger(int32)
spanFirstDateStampstring(date-time)
spanLastDateStampstring(date-time)
cacheTotalCountinteger(int32)
cacheFirstDateStampstring(date-time)
cacheLastDateStampstring(date-time)
subListArray of objects(List<RuntimeInfo>)
Response
{ "sortProperty": "string", "sortOrder": 0, "downloadLimit": 0, "downloadFirstDateStamp": "2019-08-24T14:15:22Z", "downloadLastDateStamp": "2019-08-24T14:15:22Z", "downloadOffset": 0, "spanCount": 0, "spanFirstDateStamp": "2019-08-24T14:15:22Z", "spanLastDateStamp": "2019-08-24T14:15:22Z", "cacheTotalCount": 0, "cacheFirstDateStamp": "2019-08-24T14:15:22Z", "cacheLastDateStamp": "2019-08-24T14:15:22Z", "subList": [ {} ] }

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations